APIs / Agoda / Search

Agoda: Search

Search from Agoda as JSON. 1 credit per successful call.

GET /v1/agoda/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
check_instringRequiredAny
check_outstringRequiredAny
adultsintegerOptionalAny
roomsintegerOptionalAny
children_ages[]list of integerOptionalAny
city_idintegerRequiredAny
currencystringOptionalAny
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/agoda/search" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.